net.sf.jasperreports.engine.util

## Class ResourceBundleMessageProvider

- java.lang.Object
- - net.sf.jasperreports.engine.util.ResourceBundleMessageProvider

- All Implemented Interfaces:
    MessageProvider

      public class ResourceBundleMessageProvider
      extends java.lang.Object
      implements MessageProvider

  Version:
    $Id: ResourceBundleMessageProvider.java 6306 2013-07-02 15:24:04Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceBundleMessageProvider(java.lang.String baseName)`
    `ResourceBundleMessageProvider(java.lang.String baseName, java.lang.ClassLoader classLoader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage(java.lang.String code, java.util.Locale locale)`
    `java.lang.String` | `getMessage(java.lang.String code, java.lang.Object[] args, java.util.Locale locale)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceBundleMessageProvider

          public ResourceBundleMessageProvider(java.lang.String baseName)

    - #### ResourceBundleMessageProvider

          public ResourceBundleMessageProvider(java.lang.String baseName,
                                       java.lang.ClassLoader classLoader)

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage(java.lang.String code,
                                    java.lang.Object[] args,
                                    java.util.Locale locale)

      Specified by:
        `getMessage` in interface `MessageProvider`

    - #### getMessage

          public java.lang.String getMessage(java.lang.String code,
                                    java.util.Locale locale)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com